## kwave 0.8.5

=== doc/CMakeLists.txt ===
#############################################################################
##    Kwave                - doc/CMakeLists.txt
##                           -------------------
##    begin                : Sat May 12 2007
##    copyright            : (C) 2007 by Thomas Eschenbacher
##    email                : Thomas.Eschenbacher@gmx.de
#############################################################################
#
#############################################################################
##                                                                          #
##    This program is free software; you can redistribute it and/or modify  #
##    it under the terms of the GNU General Public License as published by  #
##    the Free Software Foundation; either version 2 of the License, or     #
##    (at your option) any later version.                                   #
##                                                                          #
#############################################################################

FIND_PACKAGE(RequiredProgram REQUIRED)

SET(_help_en_docbook_orig ${CMAKE_CURRENT_SOURCE_DIR}/help_en.docbook)
SET(_help_en_docbook ${CMAKE_CURRENT_BINARY_DIR}/help_en-work.docbook)
SET(_help_en_shifted ${CMAKE_CURRENT_BINARY_DIR}/help_en-shifted.docbook)
SET(_help_en_pot ${CMAKE_CURRENT_BINARY_DIR}/help_en.pot)
SET(_version ${PROJECT_SOURCE_DIR}/VERSION)

FIND_REQUIRED_PROGRAM(CONVERT_EXECUTABLE convert)
FIND_REQUIRED_PROGRAM(CP_EXECUTABLE cp)
FIND_REQUIRED_PROGRAM(RM_EXECUTABLE rm)
FIND_REQUIRED_PROGRAM(AWK_EXECUTABLE gawk awk)
FIND_REQUIRED_PROGRAM(CAT_EXECUTABLE cat)
FIND_REQUIRED_PROGRAM(SED_EXECUTABLE sed)
FIND_REQUIRED_PROGRAM(XML2POT_EXECUTABLE xml2pot)
FIND_REQUIRED_PROGRAM(MSGMERGE_EXECUTABLE msgmerge)
FIND_REQUIRED_PROGRAM(PO2XML_EXECUTABLE po2xml)
FIND_REQUIRED_PROGRAM(CHECKXML_EXECUTABLE checkXML)

#############################################################################
### update of the original docbook file                                   ###
ADD_CUSTOM_COMMAND(OUTPUT ${_help_en_docbook}
    COMMAND ${CAT_EXECUTABLE} ${_help_en_docbook_orig} |
        ${AWK_EXECUTABLE}
        -v newdate=${KWAVE_VERSION_DATE_ISO}
        -v newrelease=${KWAVE_VERSION_FULL}
        -f ${PROJECT_SOURCE_DIR}/bin/date_release.awk
        > ${_help_en_docbook}
    COMMAND ${CMAKE_COMMAND} -E copy
        ${_help_en_docbook} ${_help_en_docbook_orig}
    DEPENDS ${_version}
    DEPENDS ${_help_en_docbook_orig}
    COMMENT "Updating help_en.docbook"
)
SET_SOURCE_FILES_PROPERTIES(${_help_en_docbook} PROPERTIES GENERATED false)

#############################################################################
### help_en.docbook -> help_en.pot                                        ###

ADD_CUSTOM_COMMAND(OUTPUT ${_help_en_pot}
    COMMAND ${XML2POT_EXECUTABLE} ${_help_en_docbook} > ${_help_en_pot}
    DEPENDS ${_help_en_docbook}
)

#############################################################################
### help_en.docbook -> help_en-shifted.docbook                            ###

ADD_CUSTOM_COMMAND(OUTPUT ${_help_en_shifted}
    COMMAND ${CAT_EXECUTABLE} ${_help_en_docbook} |
            ${SED_EXECUTABLE} s/^[[:blank:]]*// >
            ${_help_en_shifted}
    DEPENDS ${_help_en_docbook}
)

#############################################################################
### target for cleaning generated HTML help                               ###

ADD_CUSTOM_TARGET(html_clean
    COMMAND ${RM_EXECUTABLE} -R -f ${CMAKE_CURRENT_BINARY_DIR}/html
)


#############################################################################
### png files with the toolbar icons                                      ###

FILE(GLOB _toolbar_xpms "${CMAKE_SOURCE_DIR}/kwave/toolbar/*.xpm")
FOREACH(_toolbar_xpm ${_toolbar_xpms})
    GET_FILENAME_COMPONENT(_xpm_file ${_toolbar_xpm} NAME)
    STRING(REPLACE ".xpm" ".png" _png_file ${_xpm_file})
    SET(_toolbar_png ${CMAKE_CURRENT_BINARY_DIR}/toolbar_${_png_file})
    ADD_CUSTOM_COMMAND(OUTPUT ${_toolbar_png}
        COMMAND ${CONVERT_EXECUTABLE} ${_toolbar_xpm} ${_toolbar_png}
        DEPENDS ${_toolbar_xpm}
        COMMENT STATUS "Converting ${_png_file}"
    )
    SET(_toolbar_pngs "${_toolbar_pngs}" "${_toolbar_png}")
ENDFOREACH(_toolbar_xpm ${_toolbar_xpms})


#############################################################################
### macro for generating the help for each language                       ###

MACRO(KWAVE_TRANSLATE_DOC _sources _html_sources)

    FILE(GLOB _en_images "${CMAKE_CURRENT_SOURCE_DIR}/en/*.png")

    FOREACH (_lang_and_name ${ARGN})
        STRING(REGEX MATCH "^[^:]+" _lang ${_lang_and_name})
        STRING(REGEX MATCH "[^:]+$$" _lang_name ${_lang_and_name})

        SET(_po ${CMAKE_CURRENT_BINARY_DIR}/help_${_lang}-tmp.po)
        SET(_po_orig ${CMAKE_CURRENT_SOURCE_DIR}/help_${_lang}.po)
        SET(_html_dir ${CMAKE_CURRENT_BINARY_DIR}/html/${_lang})
        SET(_html ${_html_dir}/index.html)
        SET(_common_dir ${KDE4_HTML_INSTALL_DIR}/${_lang}/common)

        # translation of the po and the docbook file not for english
        IF (NOT ${_lang} STREQUAL "en")
            SET(_docbook ${CMAKE_CURRENT_BINARY_DIR}/help_${_lang}.docbook)
            GET_FILENAME_COMPONENT(_docbook_basename ${_docbook} NAME)

            # translated po file
            ADD_CUSTOM_COMMAND(OUTPUT ${_po}
                COMMAND ${MSGMERGE_EXECUTABLE}
                    -o ${_po} ${_po_orig} ${_help_en_pot}
                COMMAND ${CMAKE_COMMAND} -E copy ${_po} ${_po_orig}
                DEPENDS ${_help_en_pot}
            )

            # translated docbook file
            ADD_CUSTOM_COMMAND(OUTPUT ${_docbook}
                COMMAND ${PO2XML_EXECUTABLE} ${_help_en_shifted} ${_po} |
                    ${SED_EXECUTABLE}
                    s/^\\<\\!ENTITY\\ %\\ English\\ /\\<\\!ENTITY\\ %\\ ${_lang_name}\\ /g
                    > ${_docbook}
                COMMAND ${CHECKXML_EXECUTABLE} ${_docbook}
                DEPENDS ${_po}
                DEPENDS ${_help_en_shifted}
                COMMENT STATUS "Building ${_docbook_basename} (${_lang_name})"
            )

            # copy all images that do not exist in this language
            # from the english version
            FOREACH ( _image_file ${_en_images})
                GET_FILENAME_COMPONENT(_image ${_image_file} NAME)
                SET(_src_img ${CMAKE_CURRENT_SOURCE_DIR}/${_lang}/${_image})
                IF (NOT EXISTS ${_src_img})
                    SET(_missing_png_files_${_lang}
                        "${_missing_png_files_${_lang}}"
                        "${_image_file}"
                    )
                ENDIF (NOT EXISTS ${_src_img})
            ENDFOREACH (_image_file)

        ELSE (NOT ${_lang} STREQUAL "en")
            SET(_docbook ${_help_en_docbook})
            GET_FILENAME_COMPONENT(_docbook_basename ${_docbook} NAME)
        ENDIF (NOT ${_lang} STREQUAL "en")

        # generated search index index_<lang>.cache.bz2
        SET(_index "${CMAKE_CURRENT_BINARY_DIR}/index_${_lang}.cache.bz2")
        ADD_CUSTOM_COMMAND(OUTPUT ${_index}
            COMMAND ${KDE4_MEINPROC_EXECUTABLE}
                    --check --cache ${_index} ${_docbook}
            DEPENDS ${_docbook}
            WORKING_DIRECTORY ${CMAKE_CURRENT_SOURCE_DIR}
        )

        # special handling for the GPL license file
        SET(_gpl_translated "${KDE4_HTML_INSTALL_DIR}/${_lang}/common/gpl-translated.html")
        SET(_gpl_english    "${KDE4_HTML_INSTALL_DIR}/en/common/gpl-license.html")
        IF (${_lang} STREQUAL "en")
            SET(_gpl ${_gpl_english})
        ELSE (${_lang} STREQUAL "en")
            IF (EXISTS ${_gpl_translated})
                SET(_gpl ${_gpl_translated})
            ELSE (EXISTS ${_gpl_translated})
                SET(_gpl ${_gpl_english})
            ENDIF (EXISTS ${_gpl_translated})
        ENDIF (${_lang} STREQUAL "en")

        ADD_CUSTOM_COMMAND(OUTPUT ${_html_dir}/gpl-translated.html
            COMMAND mkdir -p ${_html_dir}
            COMMAND ${CMAKE_COMMAND} -E copy_if_different
                ${_gpl} ${_html_dir}/gpl-translated.html
        )
        SET(${_html_sources} ${${_html_sources}} ${_html_dir}/gpl-translated.html)

        # generated HTML help
        ADD_CUSTOM_COMMAND(OUTPUT ${_html}
            COMMAND mkdir -p ${_html_dir}
            COMMAND cd ${_html_dir} &&
                    ${KDE4_MEINPROC_EXECUTABLE} --check ${_docbook}
            COMMAND ${RM_EXECUTABLE} -Rf ${_html_dir}/common
            COMMAND mkdir -p ${_html_dir}/common
            COMMAND ${CP_EXECUTABLE}
                ${_toolbar_pngs} ${_html_dir}
            COMMAND ${CP_EXECUTABLE}
                ${CMAKE_CURRENT_SOURCE_DIR}/en/*.png ${_html_dir}
            COMMAND ${CP_EXECUTABLE}
                ${CMAKE_CURRENT_SOURCE_DIR}/${_lang}/*.png ${_html_dir}
            COMMAND ${CMAKE_COMMAND} -E copy_directory
                ${KDE4_HTML_INSTALL_DIR}/en/common ${_html_dir}/common/
            COMMAND ${CMAKE_COMMAND} -E copy_directory
                ${_common_dir} ${_html_dir}/common/
            COMMAND cd ${_html_dir} && ${CMAKE_CURRENT_SOURCE_DIR}/fix-common
            DEPENDS ${_docbook}
            DEPENDS ${_html_dir}/gpl-translated.html
            DEPENDS ${_toolbar_pngs}
            COMMENT STATUS "Generating HTML help for ${_lang} (${_lang_name})"
        )

        SET(${_html_sources} ${${_html_sources}} ${_html})
        SET(${_sources} ${${_sources}} ${_docbook} ${_index})

        # installation of the docbook file
        INSTALL(
            FILES ${_docbook}
            DESTINATION ${KDE4_HTML_INSTALL_DIR}/${_lang}/kwave
            RENAME index.docbook
        )
        SET(_docbook_all ${_docbook_all} ${_docbook})

        # installation of the index.cache.bz2 file
        INSTALL(
            FILES ${_index}
            DESTINATION ${KDE4_HTML_INSTALL_DIR}/${_lang}/kwave
            RENAME index.cache.bz2
        )
        SET(_index_all ${_index_all} ${_index})

        # installation of the *.png files
        FILE(GLOB _png_files_${_lang} "${CMAKE_CURRENT_SOURCE_DIR}/${_lang}/*.png")
        INSTALL(FILES
                ${_png_files_${_lang}}
                ${_missing_png_files_${_lang}}
                ${_toolbar_pngs}
            DESTINATION ${KDE4_HTML_INSTALL_DIR}/${_lang}/kwave/
        )

        # install and uninstall of the symlinks to the "common" dirs
        INSTALL(CODE "
            MESSAGE(STATUS \"Installing \$ENV{DESTDIR}${KDE4_HTML_INSTALL_DIR}/${_lang}/kwave/common\")
        ")
        INSTALL(CODE "EXECUTE_PROCESS(COMMAND ${CMAKE_COMMAND}
            -E create_symlink
            \"../../en/common\"
            \"\$ENV{DESTDIR}${KDE4_HTML_INSTALL_DIR}/${_lang}/kwave/common\"
        )")

        # add the symlink to the extra uninstall files
        SET(ENV{EXTRA_UNINSTALL_FILES} "$ENV{EXTRA_UNINSTALL_FILES}\;${KDE4_HTML_INSTALL_DIR}/${_lang}/kwave/common")

    ENDFOREACH(_lang_and_name)

ENDMACRO(KWAVE_TRANSLATE_DOC)

#############################################################################

KWAVE_TRANSLATE_DOC(_docs _html_files ${KWAVE_BUILD_LINGUAS})

#############################################################################
### "make html_doc"                                                       ###

ADD_CUSTOM_TARGET(html_doc
    DEPENDS ${_docs}
    DEPENDS ${_html_files}
)
SET_DIRECTORY_PROPERTIES(PROPERTIES
    ADDITIONAL_MAKE_CLEAN_FILES
    ${CMAKE_CURRENT_BINARY_DIR}/html
)

#############################################################################
### "make doc"                                                            ###

ADD_CUSTOM_TARGET(doc ALL
    DEPENDS ${_docbook_all} ${_index_all} ${_missing_images} ${_toolbar_pngs}
)

#############################################################################
#############################################################################

=== libkwave/CMakeLists.txt ===
#############################################################################
##    Kwave                - libkwave/CMakeLists.txt
##                           -------------------
##    begin                : Tue May 01 2007
##    copyright            : (C) 2007 by Thomas Eschenbacher
##    email                : Thomas.Eschenbacher@gmx.de
#############################################################################
#
#############################################################################
##                                                                          #
##    This program is free software; you can redistribute it and/or modify  #
##    it under the terms of the GNU General Public License as published by  #
##    the Free Software Foundation; either version 2 of the License, or     #
##    (at your option) any later version.                                   #
##                                                                          #
#############################################################################

#############################################################################

ADD_CUSTOM_COMMAND(OUTPUT ${CMAKE_CURRENT_BINARY_DIR}/ppcasm_string.o
    COMMAND ${CMAKE_C_COMPILER} -I${CMAKE_BINARY_DIR} -Wall -O2
        -DHAVE_CONFIG_H
        -o ${CMAKE_CURRENT_BINARY_DIR}/ppcasm_string.o
        -c ${CMAKE_CURRENT_SOURCE_DIR}/ppcasm_string.S
    DEPENDS ${CMAKE_CURRENT_SOURCE_DIR}/ppcasm_string.S
)

#############################################################################

IF (WITH_SAMPLERATE)
    SET(libkwave_LIB_SRCS_samplerate modules/RateConverter.cpp)
ENDIF (WITH_SAMPLERATE)

SET(libkwave_LIB_SRCS
    ClipBoard.cpp
    CodecBase.cpp
    CodecManager.cpp
    CompressionType.cpp
    ConfirmCancelProxy.cpp
    cputest.c
    Curve.cpp
    Decoder.cpp
    Encoder.cpp
    Filter.cpp
    FileInfo.cpp
    FileFormat.cpp
    FileProgress.cpp
    Functions.cpp
    GenreType.cpp
    Interpolation.cpp
    KwaveConnect.cpp
    KwaveDrag.cpp
    KwaveMimeData.cpp
    KwaveMultiPlaybackSink.cpp
    KwavePlaybackSink.cpp
    KwavePlugin.cpp
    KwaveSampleArray.cpp
    KwaveSampleSink.cpp
    KwaveSampleSource.cpp
    Label.cpp
    LabelList.cpp
    memcpy.c
    MemoryManager.cpp
    MessageBox.cpp
    MultiWriter.cpp
    MultiStreamWriter.cpp
    MultiTrackReader.cpp
    MultiTrackWriter.cpp
    Parser.cpp
    PlaybackController.cpp
    PluginManager.cpp
    PluginWorkerThread.cpp
    ppcasm_string.S
    Selection.cpp
    Signal.cpp
    SignalManager.cpp
    SampleFIFO.cpp
    SampleFormat.cpp
    SampleReader.cpp
    StandardBitrates.cpp
    StreamWriter.cpp
    Stripe.cpp
    SwapFile.cpp
    Track.cpp
    TrackWriter.cpp
    VirtualAudioFile.cpp
    Writer.cpp
    WindowFunction.cpp

    modules/CurveStreamAdapter.cpp
    modules/KwaveDelay.cpp
    modules/KwaveMul.cpp
    modules/KwaveOsc.cpp
    modules/KwaveStreamObject.cpp

    undo/UndoAddLabelAction.cpp
    undo/UndoDeleteAction.cpp
    undo/UndoDeleteLabelAction.cpp
    undo/UndoDeleteTrack.cpp
    undo/UndoFileInfo.cpp
    undo/UndoInsertAction.cpp
    undo/UndoInsertTrack.cpp
    undo/UndoModifyAction.cpp
    undo/UndoModifyLabelAction.cpp
    undo/UndoSelection.cpp
    undo/UndoTransaction.cpp
    undo/UndoTransactionGuard.cpp

    ${libkwave_LIB_SRCS_samplerate}
)

#############################################################################

QT4_AUTOMOC(${libkwave_LIB_SRCS})
KDE4_ADD_LIBRARY(libkwave SHARED ${libkwave_LIB_SRCS})

TARGET_LINK_LIBRARIES(libkwave
    audiofile
    ${SAMPLERATE_LIBS}
    ${QT_AND_KDECORE_LIBS}
)

#############################################################################

SET_TARGET_PROPERTIES(libkwave PROPERTIES OUTPUT_NAME "kwave")
SET_TARGET_PROPERTIES(libkwave PROPERTIES LINK_FLAGS "-Wl,--export-dynamic")
SET_TARGET_PROPERTIES(libkwave PROPERTIES
    VERSION ${KWAVE_SOVERSION} SOVERSION ${KWAVE_VERSION_MAJOR} )
SET(LIBRARY_OUTPUT_PATH ${CMAKE_CURRENT_BINARY_DIR})

#############################################################################
### install files                                                         ###

INSTALL(TARGETS libkwave LIBRARY DESTINATION ${KDE4_LIB_INSTALL_DIR} NAMELINK_SKIP)


#############################################################################
#############################################################################

=== po/CMakeLists.txt ===
#############################################################################
##    Kwave                - po/CMakeLists.txt
##                           -------------------
##    begin                : Sat May 12 2007
##    copyright            : (C) 2007 by Thomas Eschenbacher
##    email                : Thomas.Eschenbacher@gmx.de
#############################################################################
#
#############################################################################
##                                                                          #
##    This program is free software; you can redistribute it and/or modify  #
##    it under the terms of the GNU General Public License as published by  #
##    the Free Software Foundation; either version 2 of the License, or     #
##    (at your option) any later version.                                   #
##                                                                          #
#############################################################################

#############################################################################
### build list of .po files                                               ###

FOREACH(_lang ${KWAVE_BUILD_LINGUAS})
    STRING(REGEX MATCH "^[^:]+" _lang_short ${_lang})
    IF (NOT ${_lang_short} STREQUAL "en")
        SET(_po_files ${_po_files} ${_lang_short}.po)
    ENDIF (NOT ${_lang_short} STREQUAL "en")
ENDFOREACH(_lang ${KWAVE_BUILD_LINGUAS})

IF (DEFINED _po_files )
    GETTEXT_CREATE_TRANSLATIONS(kwave.pot ALL ${_po_files})
ENDIF (DEFINED _po_files )

#############################################################################
#############################################################################

=== debian/changelog ===
kwave (0.8.5-0ubuntu1) lucid; urgency=low

  * New upstream release
    - Source format 3.0
    - Build with dh --with kde
    - Drop cdbs
    - Bump build-deps
    - Add libsamplerate0-dev and libpulse-dev to build-depends

 -- Alessandro Ghersi <alessandro-ghersi@kubuntu.org>  Sat, 13 Feb 2010 02:32:21 +0100

kwave (0.8.3-2-0ubuntu1) karmic; urgency=low

  * New upstream release: (LP: #414603)
    - Drop debian/patches fixed by upstream
    - Drop quilt from build-deps and patchsys-quilt.mk from rules

 -- Alessandro Ghersi <alessandro-ghersi@kubuntu.org>  Mon, 17 Aug 2009 02:42:05 +0200

kwave (0.8.2-3ubuntu1) karmic; urgency=low

  * Merge from Debian unstable, remaining Ubuntu changes:
    - debian/rules: export KUBUNTU_NO_DELETE_POT=1

 -- Richard A. Johnson <nixternal@ubuntu.com>  Sun, 28 Jun 2009 17:27:33 -0500

kwave (0.8.2-3) unstable; urgency=low

  * QA upload.
  * patches/06-qreal.diff: update to use upstream version.

 -- Aurelien Jarno <aurel32@debian.org>  Tue, 26 May 2009 16:21:31 +0200

kwave (0.8.2-2ubuntu1) karmic; urgency=low

  * Merge from Debian unstable, no remaining Ubuntu changes.
  * debian/rules: added export KUBUNTU_NO_DELETE_POT=1 to prevent the eating of
    the kwave.pot file which causes a FTBFS - if it weren't for this, we would
    be able to sync this package with Debian.

 -- Richard A. Johnson <nixternal@ubuntu.com>  Sun, 10 May 2009 12:11:49 -0500

kwave (0.8.2-2) unstable; urgency=low

  * QA upload.
  * patches/06-qreal.diff: update to fix FTBFS on armel.

 -- Aurelien Jarno <aurel32@debian.org>  Sat, 02 May 2009 10:11:40 +0000

kwave (0.8.2-1) unstable; urgency=low

  * QA upload.
  * New upstream release.
  * Fix entry in previous changelog stanza.
  * patches/05-do-not-install-so-synlinks.diff:
    - Properly rename to 05-do-not-install-so-symlinks.diff
    - Refresh indexes.
    - Add a small description.
  * Remove manual call of dh_desktop in rules, no more needed with
    desktop-file-utils >= 0.15-2.
  * Add lintian override for the sonagram plugin.
  * Remove dirs file, as there's nothing installed in /usr/share/pixmaps.
  * Bump Standards-Version to 3.8.1, no changes required.
  * Update copyright, also according to the upstream LICENSES file.
  * Add patch 06-qreal.diff for qreal vs double mismatches.

 -- Pino Toscano <pino@kde.org>  Sun, 26 Apr 2009 20:28:34 +0200

kwave (0.8.1-1) unstable; urgency=low

  * QA upload.
  * New upstream release:
    - Update dependencies to KDE 4.
    - Convert it to CDBS and pkg-kde-tools.
    - Remove obsolete patches:
      01-dont-link-arts-when-disabled.diff
      02-explicitely-link-libaudiofile.diff
      03-kwave-plugins-in-moduledir.diff
      04-disable-mp3-per-default.diff
  * Bump compat to 7.
  * Add patch 05-do-not-install-so-synlinks.diff to avoid installation of the
    .so symlinks of private libraries.
  * Add build depend on pkg-config, libasound2-dev, and libfftw3-dev.
  * Replace textutils build depend with coreutils.
  * Rename the lintian overrides file to make it installed automatically by
    dh_lintian.
  * "KDE2" -> "KDE" in man page.

 -- Pino Toscano <pino@kde.org>  Thu, 02 Apr 2009 21:01:00 +0200

kwave (0.8.0-0ubuntu2) jaunty; urgency=low

  * Fixing doc install path from kde4 to kde - Rebuild (LP: #349388)
  * Fixed linking in debian/rules that was for the old kde4 directory structure

 -- Richard A. Johnson <nixternal@ubuntu.com>  Fri, 27 Mar 2009 02:11:34 -0500

kwave (0.8.0-0ubuntu1) intrepid; urgency=low

  * New Upstream version (closes LP: #271630 and LP: #258667)
  * Drop admin/debianrules as it's not necessary anymore
  * debian/control: 
    - Delete perl dependency 
    - Drop install dependency on kcontrol
  * Patch kubuntu_01_fix_link_errors.diff: add link with pthread and library 
    cleanup (patch sent by upstream)
  * debian/rules:
    - change dpatch to quilt patching system
    - Delete call to admin/debianrules (not necessary anymore)
    - Add parameter -DWITH_GSL=OFF to cmake to disable usage of libgsl 
      (licence incompatibility with kwave)

 -- Fabrice Coutadeur <coutadeurf@gmail.com>  Sat, 04 Oct 2008 09:03:50 +0000

kwave (0.7.11-1) unstable; urgency=low

  * QA upload:
    Orphan package, Bertrand Songis has been inactive for more than 6 months
    and upstream author has tried to reach him for months now without success.
  * New upstream version:
    - Kwave does not longer use aRts. (Closes: #367036)
    - Add several patches provided by upstream:
      01-dont-link-arts-when-disabled.diff
      02-explicitely-link-libaudiofile.diff
      03-kwave-plugins-in-moduledir.diff
      04-disable-mp3-per-default.diff
  * Add -DCMAKE_SKIP_RPATH=true to cmake configure, fixes rpath issue. 
    (Closes: #495758)
  * Remove leftovers from autotools transition to cmake:
    - No more usage of debianrules file.
    - Remove relibtoolization bits and cleaninf of debian/rules.
    - Remove build depends on: automake1.7, autoconf, autotools-dev, perl,
      debianutils.
  * Replace build depend on kdemultimedia-dev with kdelibs4-dev.
  * Remove dpatch system and add quilt instead.
  * Update to Standards-Version 3.8.0, no changes required.
  * Add build depend on mawk. Thanks Thomas! (Closes: #482248)
  * Update copyright file. (Closes: #419124)
  * Update overrides.
  * Update to debhelper compatibility 6.

 -- Ana Beatriz Guerrero Lopez <ana@debian.org>  Sun, 31 Aug 2008 14:20:52 +0200

kwave (0.7.10-1.1) unstable; urgency=low

  * Non-maintainer upload.
  * debian/rules:
    + Fix bashism (Closes: #459104).
  * debian/control:
    + Bump Standards-Version to 3.7.3 (no changes needed).
    + Add Homepage field.
  * debian/menu:
    + Change Apps to Applications.

 -- Marco Rodrigues <gothicx@sapo.pt>  Thu, 24 Jan 2008 20:43:49 +0000

kwave (0.7.10-1) unstable; urgency=low

  * New upstream version.
  * New maintainer (closes: #393172).

 -- Bertrand Songis <bsongis@gmail.com>  Mon, 27 Aug 2007 15:14:39 +0200

kwave (0.7.7-3) unstable; urgency=low



=== debian/control ===
Source: kwave
Section: kde
Priority: optional
Maintainer: Ubuntu MOTU Developers <ubuntu-motu@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian QA Group <packages@qa.debian.org>
Build-Depends: debhelper (>= 7.4.13), pkg-kde-tools (>= 0.5.3),
 kdelibs5-dev (>= 4:4.4.0), gettext, pkg-config,
 imagemagick, recode, coreutils, libid3-3.8.3-dev (>= 3.8.3-7.2),
 libaudiofile-dev, libogg-dev, libvorbis-dev (>= 1.2.3-3),
 libflac++-dev (>= 1.2.1), libmad0-dev, libgsl0-dev,
 libasound2-dev, libfftw3-dev, poxml, gawk,
 libsamplerate0-dev, libpulse-dev
Standards-Version: 3.8.1
Homepage: http://kwave.sourceforge.net

Package: kwave
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Conflicts: kwave-doc-en, kwave-doc-de, kwave-doc-fr
Provides: kwave-doc, kwave-doc-en, kwave-doc-de, kwave-doc-fr
Description: sound editor for KDE
 "Kwave" is a simple sound editor for KDE. Its features include:
   * simple cut, copy and paste functions
   * undo/redo
   * simple filter design tools
   * a small editor for additive synthesis
   * labeling of signals
   * some analysis functions such as Sonagram or Fourier Transformation
   * internally uses 24 bit integer sample data
   * free selectable sample rates
   * support for editing of multi-channel files
   * playback of multi-channel audio files (audio output will be mixed
     down to mono or stereo)
   * extensible through an easy-to-use plugin interface
 .
  Author:   Thomas Eschenbacher <Thomas.Eschenbacher@gmx.de>

=== debian/rules ===
#!/usr/bin/make -f

%:
	dh --with kde $@

export KUBUNTU_NO_DELETE_POT=1

## kwave 0.8.5-1

=== debian/changelog ===
kwave (0.8.5-1-4ubuntu1) natty; urgency=low

  * Merge from debian unstable.  Remaining changes:
    - Add kubuntu_01_fix_docbook.diff, upstreamed
    - Add kubuntu_02_fix_qstring.diff (thanks to David Sugar), upstreamed
    - Use override_dh_compress, KDE help center can't find the handbook
      otherwise

 -- Scott Kitterman <scott@kitterman.com>  Fri, 15 Oct 2010 19:58:15 -0400

kwave (0.8.5-1-4) unstable; urgency=low

  [ Scott Kitterman ]
  * Add debian/patches/08-powerpc-ftbfs to fix powerpc FTBFS (Closes: #593113)
     - Thanks to Alessio Treglia for providing the patch in the bug

 -- Debian KDE Extras Team <pkg-kde-extras@lists.alioth.debian.org>  Sun, 26 Sep 2010 22:06:06 -0400

kwave (0.8.5-1-3ubuntu2) maverick; urgency=low

  * Add debian/patches/kubuntu_03_fix_powerpc_ftbfs.diff to fix powerpc FTBFS
    - Take from Debian 593113, Thanks to Alessio Treglia

 -- Scott Kitterman <scott@kitterman.com>  Sun, 26 Sep 2010 17:03:07 -0400

kwave (0.8.5-1-3ubuntu1) maverick; urgency=low

  * Fix FTBS: (LP: #629799)
    - Add kubuntu_01_fix_docbook.diff, upstreamed
    - Add kubuntu_02_fix_qstring.diff (thanks to David Sugar), upstreamed
    - Use override_dh_compress, KDE help center can't find the handbook
      otherwise

 -- Alessandro Ghersi <alessandro-ghersi@kubuntu.org>  Sat, 25 Sep 2010 02:00:11 +0200

kwave (0.8.5-1-3) unstable; urgency=low

  * Add Build-Depends: libpulse-dev
  * dh_auto_configure -- $(DEB_CMAKE_CUSTOM_FLAGS)

 -- Mark Purcell <msp@debian.org>  Tue, 15 Jun 2010 22:26:28 +1000

kwave (0.8.5-1-2) unstable; urgency=low

  * Added Build-Depends: libsamplerate0-dev

 -- Mark Purcell <msp@debian.org>  Tue, 15 Jun 2010 08:45:58 +1000

kwave (0.8.5-1-1) unstable; urgency=low

  * New upstream release (Closes: #581557)
  * NEW Maintainer: Debian KDE Extras Team 
    <pkg-kde-extras@lists.alioth.debian.org> (Closes: #497269)
  * Drop local doc/ changes
  * Add debian/watch
  * Drop Obsolete Conflicts: Provides:
  * source/format -> 3.0 (quilt)
  * Switch to dh 7 - drop cdbs
  * Update lintian-overrides
  * Update Standards-Version: 3.8.4 - Added Vcs:

 -- Mark Purcell <msp@debian.org>  Mon, 14 Jun 2010 17:50:41 +1000

kwave (0.8.2-5) unstable; urgency=low

  * QA upload.
  * Disable ALSA on non-linux architectures (closes: #582262).
    Thanks to Pino Toscano for the patch.

 -- Ralf Treinen <treinen@debian.org>  Wed, 19 May 2010 20:51:52 +0200

kwave (0.8.2-4) unstable; urgency=low

  * QA upload.
  * Add build-dependency on cmake (closes: #581297). Thanks to Modestas
    Vainius for the patch!
  * Removed build-dependency on essential package coreutils.
  * patch 07-no-rpah: Do not set rpath (thanks to Ruben Molina!)

 -- Ralf Treinen <treinen@debian.org>  Mon, 17 May 2010 21:00:37 +0200

=== debian/control ===
Source: kwave
Section: kde
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian KDE Extras Team <pkg-kde-extras@lists.alioth.debian.org>
Uploaders: Mark Purcell <msp@debian.org>
Build-Depends: debhelper (>= 7.0.50~), pkg-kde-tools (>= 0.4),
 kdelibs5-dev (>= 4:4.2.0), gettext, pkg-config,
 libsamplerate0-dev, libpulse-dev,
 imagemagick, recode, libid3-3.8.3-dev (>= 3.8.3-4.2),
 libaudiofile-dev, libogg-dev, libvorbis-dev (>= 1.0.0-2), 
 libflac++-dev (>= 1.1.4), libmad0-dev, libgsl0-dev,
 libasound2-dev [!kfreebsd-amd64 !kfreebsd-i386 !hurd-i386],
 libfftw3-dev,
 poxml, gawk, cmake
Homepage: http://kwave.sourceforge.net
Standards-Version: 3.8.4
Vcs-Svn: svn://svn.debian.org/pkg-kde/kde-extras/kwave/trunk
Vcs-Browser: http://svn.debian.org/wsvn/pkg-kde/kde-extras/kwave/trunk?op=log


Package: kwave
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: sound editor for KDE
 "Kwave" is a simple sound editor for KDE. Its features include:
   * simple cut, copy and paste functions
   * undo/redo
   * simple filter design tools
   * a small editor for additive synthesis
   * labeling of signals
   * some analysis functions such as Sonagram or Fourier Transformation
   * internally uses 24 bit integer sample data
   * free selectable sample rates
   * support for editing of multi-channel files
   * playback of multi-channel audio files (audio output will be mixed
     down to mono or stereo)
   * extensible through an easy-to-use plugin interface
 .
  Author:   Thomas Eschenbacher <Thomas.Eschenbacher@gmx.de>

=== debian/watch ===
# Example watch control file for uscan
# Rename this file to "watch" and then you can run the "uscan" command
# to check for upstream updates and more.
# See uscan(1) for format

# Compulsory line, this is a version 3 file
version=3

# Uncomment to examine a Webpage
# <Webpage URL> <string match>
#http://www.example.com/downloads.php #PACKAGE#-(.*)\.tar\.gz

# Uncomment to examine a Webserver directory
#http://www.example.com/pub/#PACKAGE#-(.*)\.tar\.gz

# Uncommment to examine a FTP server
#ftp://ftp.example.com/pub/#PACKAGE#-(.*)\.tar\.gz debian uupdate

# Uncomment to find new files on sourceforge, for devscripts >= 2.9
http://sf.net/kwave/kwave-(.*)\.tar\.bz2 debian svn-upgrade

# Uncomment to find new files on GooglePages
# http://example.googlepages.com/foo.html #PACKAGE#-(.*)\.tar\.gz
